using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace CovingtonImageProcessing
{
    public partial class FormImage : Form
    {

        // Note about scrolling behavior with large images:
        //   pictureBox1 is on panel1 which is on FormClient.
        //   pictureBox1 autosizes to fit the image loaded into it.
        //   panel1 autosizes to fit pictureBox1 up to its set maximum size and, beyond that, autoscrolls.
        //   FormClient autosizes to fit panel1.

        // Autoscrolling is triggered by hitting the maximum size of panel1 (not FormClient).
        //   Accordingly, this needs to be set to an appropriate value
        //   depending ultimately on the size of FormMain.
        
        public FormImage()
        {
            InitializeComponent();

            // Initialize the maximum size of the panel so it won't try to be
            // bigger than will fit in the parent window can be.  
            // (Thus scrolling will kick in appropriately.) 
            // This should be calculated from properties of the main form,
            // but for now, just make it 80% of the screen vertically
            // and 95% horizontally.

            this.panel1.MaximumSize =
                new Size(Screen.PrimaryScreen.WorkingArea.Width * 95 / 100,
                             Screen.PrimaryScreen.WorkingArea.Height * 80 / 100);
        }

    }
}